Summary:	Boulderdash clone
Summary(pl.UTF-8):	Klon Boulderdasha
Summary(pt_BR.UTF-8):	Jogo tipo Boulderdash de pegar diamantes com mais de 10.000 níveis
Name:		rocksndiamonds
Version:	3.3.1.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://www.artsoft.org/RELEASES/unix/rocksndiamonds/%{name}-%{version}.tar.gz
# Source0-md5:	9fb7d125a314f55c5148c0e47f9ebb42
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-tape.patch
Patch1:		%{name}-make.patch
URL:		http://www.artsoft.org/rocksndiamonds/
BuildRequires:	SDL-devel >= 1.1.0
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		rodir	%{_datadir}/games/%{name}
%define		rwdir	/var/games/%{name}

%description
Rocks'n'Diamonds is an arcade game for Unix, Mac OS X, Windows and DOS
in the tradition of:
- "Boulderdash" (8-bit),
- "Emerald Mine" (Amiga),
- "Supaplex" (Amiga/PC),
- "Sokoban" (PC).

Included are many levels known from the classic games "Boulderdash",
"Emerald Mine", "Sokoban" and "Supaplex". Other levels are available
in separate packages (rocksndiamonds-levels-*).

Some features:
- network multiplayer support (up to 4 players) for Unix,
- local multiplayer support (up to 4 players),
- soft scrolling with 50 frames/s,
- customizable keyboard and joystick support,
- stereo sound effects and music,
- music modules and fullscreen support (in SDL version),
- lots of additional levels available (over 10000).

%description -l pl.UTF-8
Rocks'n'Diamonds to gra dla Uniksa, Mac OS X, Windows oraz DOS-a
utrzymana w tradycji gier:
- Boulderdash (ośmiobitowce),
- Emerald Mine (Amiga),
- Supaplex (Amiga/PC),
- Sokoban (PC).

Załączonych jest wiele poziomów z klasycznych gier "Boulderdash",
"Emerald Mine", "Sokoban" i "Supaplex". Inne poziomy są dostępne w
osobnych pakietach (rocksndiamonds-levels-*).

Niektóre cechy:
- możliwość gry wieloosobowej przez sieć (do 4 graczy, tylko Unix),
- możliwość gry wieloosobowej lokalnie (do 4 graczy),
- płynne przewijanie z 50 klatkami/sekundę,
- konfigurowalna obsługa klawiatury i joysticka,
- efekty dźwiękowe stereo i muzyka,
- odtwarzanie modułów muzycznych i tryb pełnoekranowy (w wersji SDL),
- wiele dostępnych dodatkowych poziomów (ponad 10000).

%description -l pt_BR.UTF-8
O Rocks'n'Diamonds é um jogo tipo pegue-diamantes/evite-inimigos, com
mais de 10.000 níveis para sua diversão! Se você conhece o jogo
"Boulderdash" para Commodore C64, "Emerald Mine" para Amiga ou
"Supaplex" para PC, então você sabe do que se trata este jogo.

Inclusos estão vários níveis dos jogos "Boulderdash", "Emerald Mine",
"Sokoban", "Supaplex" e "DX-Boulderdash", além de vários níveis feitos
por outros jogadores.

Ele tem gráficos legais, som e música estéreo, editor de níveis, modo
cooperativo, gravador em fita (para rever jogadas) e suporte a rede e
joystick.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTIONS="%{rpmcflags} -Wall" \
	LDFLAGS="%{rpmldflags}" \
	RO_GAME_DIR=%{rodir} \
	RW_GAME_DIR=%{rwdir} \
	SCORE_ENTRIES=MANY_PER_NAME

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6,%{rodir},%{_desktopdir},%{_pixmapsdir}}

install %{name}		$RPM_BUILD_ROOT%{_bindir}
install %{name}.1	$RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6
cp -a graphics levels music sounds $RPM_BUILD_ROOT%{rodir}

install %{SOURCE1}	$RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2}	$RPM_BUILD_ROOT%{_pixmapsdir}

# scores
install -d $RPM_BUILD_ROOT%{rwdir}/scores
cd $RPM_BUILD_ROOT%{rodir}/levels
set +x
for i in *; do
	echo "Preparing score file for $i"
	cd $i
	for file in `find . -name '*.level' -type f`; do
		dir=$(dirname "$file")
		if [ "$dir" = "." ]; then
			dir="$i"
		fi
		file=$(basename "$file" .level)
		install -d $RPM_BUILD_ROOT%{rwdir}/scores/${dir}
		touch $RPM_BUILD_ROOT%{rwdir}/scores/${dir}/${file}.score
		echo -n .
	done
	cd ..
	echo "OK"
done
set -x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog CREDITS README docs/elements
%attr(2755,root,games) %{_bindir}/rocksndiamonds
%dir %{rodir}
%{rodir}/graphics
%{rodir}/music
%{rodir}/sounds
%dir %{rodir}/levels
%{rodir}/levels/Classic_Games
%{rodir}/levels/Tutorials
%{_desktopdir}/rocksndiamonds.desktop
%{_pixmapsdir}/rocksndiamonds.png
%{_mandir}/man6/rocksndiamonds.6*
%defattr(664,root,games,755)
%dir %{rwdir}
%dir %{rwdir}/scores
%dir %{rwdir}/scores/classic_boulderdash
%config(noreplace) %verify(not md5 mtime size) %{rwdir}/scores/classic_boulderdash/*.score
%dir %{rwdir}/scores/classic_sokoban
%config(noreplace) %verify(not md5 mtime size) %{rwdir}/scores/classic_sokoban/*.score
%dir %{rwdir}/scores/rnd_tutorial_aaron_davidson
%config(noreplace) %verify(not md5 mtime size) %{rwdir}/scores/rnd_tutorial_aaron_davidson/*.score
%dir %{rwdir}/scores/rnd_tutorial_niko_boehm
%config(noreplace) %verify(not md5 mtime size) %{rwdir}/scores/rnd_tutorial_niko_boehm/*.score
%changelog
* Sun Sep 25 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rocksndiamonds.git;a=log;h=master

* Sun Sep 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 88d3f4f
- updated to 3.3.1.2
- updated make patch

* Sun Sep 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 87fe5b1
- additional levels separated to rocksndiamonds-levels.spec

* Mon Jul 12 2010 lisu <lisu@pld-linux.org> bd99776
- Emerald Mine Club level collection updated to 2.1.1
- rel 2

* Tue Jun 22 2010 lisu <lisu@pld-linux.org> dfeda25
- 3.3.0.1

* Fri May 28 2010 lisu <lisu@pld-linux.org> 85aa7e8
- up to 3.3.0.0

* Sun Nov 29 2009 sparky <sparky@pld-linux.org> d1b2a9a
- added make patch and use rpmldflags
- comment-out Source8-md5
- define rodir and rwdir macros + data moved to %{_datadir}/games/%{name}
- no need to comment-out boulderdash subpackage, just use %if 0 on %files
- less verbose %install
- TODO: levels to separate spec file (rocksndiamonds-levels ?) and make it
  noarch

* Sun Nov 29 2009 sparky <sparky@pld-linux.org> 04df620
- fix usage of LDFLAGS and LIBS to allow as-needed usage

* Sun Nov 29 2009 sparky <sparky@pld-linux.org> af2cff5
- libsmpeg not needed, eliminate -lsmpeg from Makefile

* Thu Jun 18 2009 lisu <lisu@pld-linux.org> cbfe58a
- up to 3.2.6.1
- Emerald_Mine_Club levels version up
- more TODO

* Mon Nov 24 2008 lisu <lisu@pld-linux.org> 122d729
- up to 3.2.6.0
- Source8 is missing in repo (read TODO)

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 6838628
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Fri Oct 26 2007 lisu <lisu@pld-linux.org> d134e40
- add Zelda levels

* Thu Oct 25 2007 lisu <lisu@pld-linux.org> c3da72c
- 3.2.4

* Mon Apr 23 2007 pascalek <pascalek@pld-linux.org> d0a22af
- updated to 3.2.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fd7433a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 72f2137
- converted to UTF-8

* Tue Aug 01 2006 wolf <wolf@pld-linux.org> 354c7b8
- BR: SDL_net-devel

* Sun Jul 16 2006 wolf <wolf@pld-linux.org> 477a428
- 3.2.0

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 331148d
- orphaned, outdated

* Sun Jan 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 6da94c2
- updated to 3.1.2 (editor bugfix)
- added Boulder_Dash_Dream levels

